It's all about the answers!

Ask a question

Is it possible to upgrade the JTS/RTC (v4.0.1) embedded into RAM(7.5.2) to a newer version?


Sergio Cedillo (1113) | asked Nov 27 '15, 5:36 p.m.
Hi there,

I have installed RAM 7.5.2 using the embedded JTS/RTC (v4.0.1) on the same linux server,
I also have all of their databases (DB2v9.7) on another linux server.

I need to migrate the DB2 from v9.7 to v10.1. Although I've checked this DB2 version is officially supported
by RAM, it is not by JTS/RTC (v4.0.1 only supports DB2 9.5/9.7).

My question is if I could upgrade the JTS/RTC 4.0.1 to 5.0.2/6.0 for example, as you would normally 
do it in standalone scenario (without RAM) so that DB2 v10.1 could be used by all 3 components (RAM, JTS & RTC). In case it is possible, would it be through the normal procedure for JTS/RTC alone?

I couln't find any specific similar case in the forum.

Thank you very much for any help you could provide!


One answer



permanent link
Ary Zhang (2324) | answered Jan 21 '16, 8:28 p.m.
JAZZ DEVELOPER
Hi, Sergio
If you use embedded RTC, the normally steps should be:
1. Update DB2 from 9.7 to 10.1, this should be always first
2. Open up Installation Manager, update RAM from 7.5.2 to 7.5.2.2 or later
3. Open up RAM setup page, such as http://serverpath:port/ram.setup
4. Go through all the steps.
result: RAM is 7.5.2.2, RTC/JTS is 4.0.7, DB2 is 10.1
Thanks.

Your answer


Register or to post your answer.